import React from "react";
import {
    Table,
    Column,
    DataManager
} from "react-tisch";


class DataManagerWithRealtimeUpdates extends DataManager {
    constructor() {
        let data = [{name: 'Joe'}, {name: 'Mike'}];
        super(data);

        setInterval(() => {
            data.push({
                name: `New User ${this.data.length}`
            });
            this.updateData(data);
        }, 1000);
    }
}

const columns = [
    <Column value={row => row.name}>Name</Column>
];

const dataManager = new DataManagerWithRealtimeUpdates(columns);

const Sample2 = () =>
    <Table dataManager={dataManager}>
        <Column value={row => row.name}>Name</Column>
    </Table>;


class Sample2b extends React.Component {

    componentWillMount() {
        let data = [{name: 'Joe'}, {name: 'Mike'}];
        this.setState({data});

        setInterval(() => {
            data = data.slice();
            data.push({
                name: `New User ${data.length}`
            });
            this.setState({data});
        }, 1000);
    }

    render() {
        return <Table data={this.state.data}>
            <Column value={row => row.name}>Name</Column>
        </Table>;
    }
}

export default Sample2b;
